<?php include('app-geral/configuracao_geral.php');
$pagina = "usuarios";


$id_usuario = $_GET['u'];

$aba_tab = 'dados';

// ******************* PERMISSÕES ************************

$permissoes = array();

// MÓDULOS DO SISTEMA
$permissoes['sistema'] = array("titulo"=>"SISTEMA GERAL");
$permissoes['eventos'] = array("titulo"=>"M&Oacute;DULO EVENTOS");
$permissoes['torneios'] = array("titulo"=>"M&Oacute;DULO TORNEIOS - PRINCIPAIS");
$permissoes['torneios_abas'] = array("titulo"=>"M&Oacute;DULO TORNEIOS - ABAS");
$permissoes['torneios_funcoes'] = array("titulo"=>"M&Oacute;DULO TORNEIOS - FUN&Ccedil;&Otilde;ES ESPEC&Iacute;FICAS");
$permissoes['cash'] = array("titulo"=>"M&Oacute;DULO CASHGAME");
$permissoes['cash_funcoes'] = array("titulo"=>"M&Oacute;DULO CASHGAME - FUN&Ccedil;&Otilde;ES ESPEC&Iacute;FICAS");
$permissoes['bar'] = array("titulo"=>"M&Oacute;DULO BAR / RESTAURANTE");
$permissoes['bar_funcoes'] = array("titulo"=>"M&Oacute;DULO BAR / RESTAURANTE - FUN&Ccedil;&Otilde;ES ESPEC&Iacute;FICAS");
$permissoes['bar_extra'] = array("titulo"=>"M&Oacute;DULO BAR / RESTAURANTE - EXTRAS");
$permissoes['clientes'] = array("titulo"=>"M&Oacute;DULO CLIENTES");
$permissoes['ranking'] = array("titulo"=>"M&Oacute;DULO RANKING");
$permissoes['jackpot'] = array("titulo"=>"M&Oacute;DULO JACKPOT");
$permissoes['vagas'] = array("titulo"=>"M&Oacute;DULO VAGAS");
$permissoes['financeiro_abas'] = array("titulo"=>"M&Oacute;DULO FINANCEIRO - ABAS");
$permissoes['financeiro_funcoes'] = array("titulo"=>"M&Oacute;DULO FINANCEIRO - FUN&Ccedil;&Otilde;ES ESPEC&Iacute;FICAS");
$permissoes['relatorios'] = array("titulo"=>"M&Oacute;DULO RELATÓRIOS");

// SISTEMA GERAL
$permissoes['sistema']['permissoes'][] = array("permissao"=>'sistema_upgrade', "titulo"=>"Realizar UpGrade de Planos");
$permissoes['sistema']['permissoes'][] = array("permissao"=>'sistema_faturas_boletos', "titulo"=>"Faturas e Emissão de Boletos");

// EVENTOS
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_abrir_periodo', "titulo"=>"Abrir/Fechar per&iacute;odo de vendas");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_periodos', "titulo"=>"Ver Per&iacute;odos de Vendas");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_config_torneios', "titulo"=>"Configurar Torneios");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_ver_torneios', "titulo"=>"Ver Torneios Abertos");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_tela_caixa', "titulo"=>"Tela de Caixa - Vendas e Pagamentos");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_retirada_entrada_caixa', "titulo"=>"Caixa - Retirada e Entrada de Valores");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_config_premiacao', "titulo"=>"Definir Premia&ccedil;&otilde;es");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_premiar_jog', "titulo"=>"Emitir Premia&ccedil;&otilde;es");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_tela_totem', "titulo"=>"Tela de Autoatendimento - Totem");
$permissoes['eventos']['permissoes'][] = array("permissao"=>'evento_tela_impressao', "titulo"=>"Tela de Impressão");

// TORNEIOS
$permissoes['torneios']['permissoes'][] = array("permissao"=>'torneio_abrir', "titulo"=>"Abrir novos Torneios");
$permissoes['torneios']['permissoes'][] = array("permissao"=>'torneio_abertos', "titulo"=>"Acessar Torneios Abertos");
$permissoes['torneios']['permissoes'][] = array("permissao"=>'torneio_auditoria', "titulo"=>"Auditar Torneios");
$permissoes['torneios']['permissoes'][] = array("permissao"=>'torneio_fechados', "titulo"=>"Visualizar Torneios Fechados");
$permissoes['torneios']['permissoes'][] = array("permissao"=>'torneio_estrutura', "titulo"=>"Gerenciar Estruturas de Itens e Grupos de Blinds");
$permissoes['torneios']['permissoes'][] = array("permissao"=>'torneio_galeria', "titulo"=>"Galeria de Imagens");

// TORNEIOS - Abas
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_caixa', "titulo"=>"Caixa");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_registros', "titulo"=>"Registros");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_mesas', "titulo"=>"Mesas");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_controles', "titulo"=>"Blinds");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_layout', "titulo"=>"Premia&ccedil;&otilde;es");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_financeiro', "titulo"=>"Financeiro");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_config', "titulo"=>"Configura&ccedil;&otilde;es");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_ranking', "titulo"=>"Ranking");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_vagas', "titulo"=>"Vagas");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_chip', "titulo"=>"ChipCount");
$permissoes['torneios_abas']['permissoes'][] = array("permissao"=>'torneio_aba_fechar', "titulo"=>"Fechar");

// TORNEIOS - Funções
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_cancelar_inscricao', "titulo"=>"Jogadores - Remover do Torneio");
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_excluir_itens', "titulo"=>"Jogadores - Excluir Itens Vendidos");
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_excluir_pgtos', "titulo"=>"Jogadores - Excluir Movimenta&ccedil;ão de Caixa");
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_excluir_transf', "titulo"=>"Jogadores - Excluir Transfer&ecirc;ncias de Saldo");
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_reverter_vagas', "titulo"=>"Jogadores - Reverter Vagas Utilizadas");
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_excluir_premiacoes', "titulo"=>"Jogadores - Excluir Premia&ccedil;&otilde;es Confirmadas");
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_config_premiacao', "titulo"=>"Definir Premia&ccedil;&otilde;es");
$permissoes['torneios_funcoes']['permissoes'][] = array("permissao"=>'torneio_premiar_jog', "titulo"=>"Confirmar Premia&ccedil;&otilde;es");

// CASHGAME
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_abrir', "titulo"=>"Abrir novos CashGame");
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_abertos', "titulo"=>"Ver Lista de CashGame Abertos");
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_gerenciar', "titulo"=>"Gerenciar CashGame Abertos");
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_auditoria', "titulo"=>"Auditar CashGame");
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_fechar', "titulo"=>"Visualizar CashGames Fechados");
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_modalidades', "titulo"=>"Criar Modalidades de Jogos");
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_sangeur', "titulo"=>"Acesso para Sangeurs");
$permissoes['cash']['permissoes'][] = array("permissao"=>'cash_impressao_sangeur', "titulo"=>"Tela de Impressões - Tickets Sangeurs");

// CASHGAME - Funções
$permissoes['cash_funcoes']['permissoes'][] = array("permissao"=>'cash_venda_excluir', "titulo"=>"Excluir Lançamentos de Caixa já Realizados");
$permissoes['cash_funcoes']['permissoes'][] = array("permissao"=>'cash_rake_excluir', "titulo"=>"Excluir Rake já Lan&ccedil;ado");
$permissoes['cash_funcoes']['permissoes'][] = array("permissao"=>'cash_fichas_controle', "titulo"=>"Incluir e Excluir valores de fichas no CashGame");

// BAR
$permissoes['bar']['permissoes'][] = array("permissao"=>'bar_novo', "titulo"=>"Abrir Novo Caixa");
$permissoes['bar']['permissoes'][] = array("permissao"=>'bar_gerenciar', "titulo"=>"Gerenciar Caixas Abertos");
$permissoes['bar']['permissoes'][] = array("permissao"=>'bar_fechar', "titulo"=>"Fechar Caixa");
$permissoes['bar']['permissoes'][] = array("permissao"=>'bar_auditoria', "titulo"=>"Auditar Caixa");
$permissoes['bar']['permissoes'][] = array("permissao"=>'bar_fechados', "titulo"=>"Ver Caixas Fechados");

// BAR - Funções
$permissoes['bar_funcoes']['permissoes'][] = array("permissao"=>'bar_cartoes', "titulo"=>"Controle de Cart&otilde;es (Abrir / Bloquear / Desbloquear)");
$permissoes['bar_funcoes']['permissoes'][] = array("permissao"=>'bar_comanda_excluir_produto', "titulo"=>"Excluir produtos das comandas");
$permissoes['bar_funcoes']['permissoes'][] = array("permissao"=>'bar_comanda_excluir_pedido', "titulo"=>"Excluir pedidos das comandas");
$permissoes['bar_funcoes']['permissoes'][] = array("permissao"=>'bar_comanda_excluir_comanda', "titulo"=>"Excluir comandas");
$permissoes['bar_funcoes']['permissoes'][] = array("permissao"=>'bar_comanda', "titulo"=>"Pedidos Mobile: Emitir Pedidos");
$permissoes['bar_funcoes']['permissoes'][] = array("permissao"=>'bar_comanda_pgt', "titulo"=>"Pedidos Mobile: Confirmar Pagamentos");

// BAR - Extra
$permissoes['bar_extra']['permissoes'][] = array("permissao"=>'bar_produtos', "titulo"=>"Criar/Editar Categorias e Produtos");
$permissoes['bar_extra']['permissoes'][] = array("permissao"=>'bar_estoque_ver', "titulo"=>"Ver Estoque Geral");
$permissoes['bar_extra']['permissoes'][] = array("permissao"=>'bar_estoque_editar', "titulo"=>"Editar Estoque Geral");
$permissoes['bar_extra']['permissoes'][] = array("permissao"=>'bar_tela_pedidos', "titulo"=>"Tela: Pedidos");
$permissoes['bar_extra']['permissoes'][] = array("permissao"=>'bar_tela_cartoes', "titulo"=>"Tela: Verifica&ccedil;ão de Cart&otilde;es");

// CLIENTES
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_abrir', "titulo"=>"Ver Cadastros de Clientes");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_novo', "titulo"=>"Criar Cadastros de Clientes");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_editar', "titulo"=>"Editar Cadastros de Clientes");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_limite', "titulo"=>"Definir Limite de Clientes");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_registro', "titulo"=>"Ver Registros de Clientes");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_lancamento', "titulo"=>"Efetuar Lan&ccedil;amentos");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_lancamento_editar', "titulo"=>"Editar Lan&ccedil;amentos");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'cliente_transferencia', "titulo"=>"Efetuar Transferencias");
$permissoes['clientes']['permissoes'][] = array("permissao"=>'estatisticas_gerenciar', "titulo"=>"Gerenciar Acessos para Jogadores");

// RANKINGS
$permissoes['ranking']['permissoes'][] = array("permissao"=>'ranking_abrir', "titulo"=>"Criar Novos Rankings");
$permissoes['ranking']['permissoes'][] = array("permissao"=>'ranking_gerenciar', "titulo"=>"Gerenciar Rankings Abertos");
$permissoes['ranking']['permissoes'][] = array("permissao"=>'ranking_fechados', "titulo"=>"Ver Lista de Rankings Finalizados");

// JACKPOT
$permissoes['jackpot']['permissoes'][] = array("permissao"=>'jackpot_abrir', "titulo"=>"Criar Novos JackPot");
$permissoes['jackpot']['permissoes'][] = array("permissao"=>'jackpot_gerenciar', "titulo"=>"Gerenciar JackPot");
$permissoes['jackpot']['permissoes'][] = array("permissao"=>'jackpot_encerrados', "titulo"=>"Ver Lista de JackPot Finalizados");

// VAGAS
$permissoes['vagas']['permissoes'][] = array("permissao"=>'vagas_abrir', "titulo"=>"Criar Novos Grupos de Vagas");
$permissoes['vagas']['permissoes'][] = array("permissao"=>'vagas_gerenciar', "titulo"=>"Gerenciar Grupos de Vagas");
$permissoes['vagas']['permissoes'][] = array("permissao"=>'vagas_cadastrar', "titulo"=>"Cadastrar Novas Vagas em Grupos");
$permissoes['vagas']['permissoes'][] = array("permissao"=>'vagas_encerradas', "titulo"=>"Ver Lista de Grupos de Vagas Finalizados");

// FINANCEIRO - Abas
$permissoes['financeiro_abas']['permissoes'][] = array("permissao"=>'financeiro_geral', "titulo"=>"Caixa Geral");
//$permissoes['financeiro_abas']['permissoes'][] = array("permissao"=>'financeiro_registros', "titulo"=>"Lan&ccedil;amentos em Caixas");
$permissoes['financeiro_abas']['permissoes'][] = array("permissao"=>'financeiro_centros', "titulo"=>"Centros de Custos");
$permissoes['financeiro_abas']['permissoes'][] = array("permissao"=>'financeiro_pgtos', "titulo"=>"Formas de Pagamentos");
$permissoes['financeiro_abas']['permissoes'][] = array("permissao"=>'financeiro_contas', "titulo"=>"Contas");
$permissoes['financeiro_abas']['permissoes'][] = array("permissao"=>'financeiro_fornecedores', "titulo"=>"Fornecedores");

// FINANCEIRO - Funções
$permissoes['financeiro_funcoes']['permissoes'][] = array("permissao"=>'financeiro_senha_forma_pgto', "titulo"=>"Liberar Forma de Pagamento (Senha)");

// RELATÓRIOS
$permissoes['relatorios']['permissoes'][] = array("permissao"=>'relatorios_torneios', "titulo"=>"Visualizar Relat&oacute;rios de Torneios");
$permissoes['relatorios']['permissoes'][] = array("permissao"=>'relatorios_cash', "titulo"=>"Visualizar Relat&oacute;rios de CashGame");
$permissoes['relatorios']['permissoes'][] = array("permissao"=>'relatorios_bar', "titulo"=>"Visualizar Relat&oacute;rios de Bar e Rest.");
$permissoes['relatorios']['permissoes'][] = array("permissao"=>'relatorios_clientes', "titulo"=>"Visualizar Relat&oacute;rios de Clientes");
$permissoes['relatorios']['permissoes'][] = array("permissao"=>'relatorios_ranking', "titulo"=>"Visualizar Relat&oacute;rios de Rankings");
$permissoes['relatorios']['permissoes'][] = array("permissao"=>'relatorios_vagas', "titulo"=>"Visualizar Relat&oacute;rios de Vagas");


// PERMISSÕES DO USUARIO
$sql = $bd->getConexao()->prepare('SELECT * FROM usuarios_permissoes WHERE usuario_id = :usuario_id');
$sql->bindValue(':usuario_id', $id_usuario, PDO::PARAM_INT);
if( $sql->execute() ) { $permissoes_editar = $sql->fetch(PDO::FETCH_ASSOC);}

foreach($permissoes as $k => $l){
  foreach($l['permissoes'] as $k2 => $lsec){
    if(isset($permissoes_editar[$lsec['permissao']])){
      $permissoes[$k]['permissoes'][$k2]['checked'] = $permissoes_editar[$lsec['permissao']];
    }
  }
}






// ******************* DADOS GERAIS ************************

// Alterar Nome
if(isset($_POST['alterar']) && $_POST['alterar'] == 'dados') {

  $nome = $_POST['nome'];
  $login = $_POST['login'];
  $senha = $_POST['senha'];

  if($nome == "") {
    $mensagem = "erro";
    $mensagem_frase = "O campo Nome não pode ser vazio.";
  }else{
    if($login == "") {
      $mensagem = "erro";
      $mensagem_frase = "O campo Login não pode ser vazio.";
    }else{

      // Verificando se o login já existe // USUARIO
      $sql_verificar_cadastro = $bd->getConexao()->prepare('SELECT * FROM usuarios WHERE login = :login AND id <> :id');
      $sql_verificar_cadastro->bindValue(':id', $id_usuario, PDO::PARAM_STR);
      $sql_verificar_cadastro->bindValue(':login', $login, PDO::PARAM_STR);
      if( $sql_verificar_cadastro->execute() ) { $resul_verificar_cadastro = $sql_verificar_cadastro->fetch(PDO::FETCH_ASSOC);}

      if($resul_verificar_cadastro['login'] == ""){

        $sql_alt_nome = $bd->getConexao()->prepare('UPDATE usuarios SET
                nome = :nome,
                login = :login
                WHERE id = :id');
        $sql_alt_nome->bindValue(':nome', $nome, PDO::PARAM_STR);
        $sql_alt_nome->bindValue(':login', $login, PDO::PARAM_STR);
        $sql_alt_nome->bindValue(':id', $id_usuario, PDO::PARAM_STR);
        if ($sql_alt_nome->execute()) ;

        if($senha != ""){
          $senha_md5 = md5($senha);
          $sql_alt_senha = $bd->getConexao()->prepare('UPDATE usuarios SET
                senha = :senha
                WHERE id = :id');
          $sql_alt_senha->bindValue(':senha', $senha_md5, PDO::PARAM_STR);
          $sql_alt_senha->bindValue(':id', $id_usuario, PDO::PARAM_STR);
          if ($sql_alt_senha->execute()) ;
        }

        $mensagem = "ok";
      }else{
        $mensagem = "erro";
        $mensagem_frase = "O Login de acesso já existe. Escolha outro.";
      }
    }
  }
  $aba_tab = 'dados';
}

// Excluir Cadastro
if(isset($_POST['excluir']) && $_POST['excluir'] == 'cadastro') {

  $sql_excluir = $bd->getConexao()->prepare('UPDATE usuarios SET
      excluido = 1,
      status = 1
      WHERE id = :id');
  $sql_excluir->bindValue(':id', $id_usuario, PDO::PARAM_STR);
  if ($sql_excluir->execute()) ;

  header("Location: usuarios.php");exit;
}



// ******************* FINAIS E REPETE ************************

// Coletando as informações do usuario selecionado
$sql_usuario = $bd->getConexao()->prepare('SELECT * FROM usuarios WHERE id = :usuario_id');
$sql_usuario->bindValue(':usuario_id', $id_usuario, PDO::PARAM_INT);
if( $sql_usuario->execute() ) { $resul_usuario = $sql_usuario->fetch(PDO::FETCH_ASSOC);}

?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <?php include('app-geral/html-head.php');?>

  <style>
    input[type=checkbox] {
      visibility: hidden;
    }
  </style>

<script type="text/javascript">

  function marcarTodos(checked, usuario){
    $.ajax({
      url: 'scripts-app/usuarios/script_permissao.php',
      type: 'GET',
      data: 'atualizar=permissao_all&v='+checked+'&u='+usuario,
      cache: false,
      success: function(){
        if(checked==0){
          $(".btn-onoff.off").each(function(){ $(this).addClass("active") });
          $(".btn-onoff.on").each(function(){ $(this).removeClass("active") });
        }
        if(checked==1){
          $(".btn-onoff.off").each(function(){ $(this).removeClass("active") });
          $(".btn-onoff.on").each(function(){ $(this).addClass("active") });
        }
      }
    });
  }

  function permissao_usuario(checked, usuario, campo){
    $.ajax({
      url: 'scripts-app/usuarios/script_permissao.php',
      type: 'GET',
      data: 'atualizar=permissao&c='+campo+"&v="+checked+"&u="+usuario,
      cache: false,
      success: function(r){}
    });
  }

</script>

</head>
<body>

<!-- BARRA SUPERIOR -->
<?php include('barra-sup.php');?>
<!-- MENU PRINCIPAL -->
<?php include('menu.php');?>

<section id="content">
  <!-- MENSAGENS DE ALERTA -->
  <?php include('fncr-geral/mensagens.php');?>

    <div class="clearfix padder bg-fncr-clearfix">
    Usuário: <?php echo $resul_usuario['nome']?>
  </div>

<section id="content" class="content-sidebar bg-white">
<section class="main">
<section class="panel">
  <header class="panel-heading text-right">
    <ul class="nav nav-tabs pull-left" id="tabs_app">
      <li<?php if($aba_tab == 'dados'){echo ' class="active"';}?>><a href="#dados" data-toggle="tab"><i class="fa fa-user-circle fa-lg text-info"></i> <strong> <?php _t("Dados Gerais")?></strong></a></li>
      <?php if($resul_usuario['nivel']>1){?>
      <li<?php if($aba_tab == 'permissoes'){echo ' class="active"';}?>><a href="#permissoes" data-toggle="tab"><i class="fa fa-unlock fa-lg text-info"></i> <strong> <?php _t("Permissões")?></strong></a></li>
      <?php } ?>
      <li<?php if($aba_tab == 'acessos'){echo ' class="active"';}?>><a href="#acessos" data-toggle="tab"><i class="fa fa-bars fa-lg text-info"></i> <strong> <?php _t("Acessos")?></strong></a></li>
    </ul>
    <span class="hidden-sm">
    </span>
  </header>
<div class="panel-body">
<div class="tab-content">

<!-- ABA: DADOS GERAIS -->
<div class="tab-pane <?php if($aba_tab == 'dados'){echo 'active';}?>" id="dados">
  <div class="row">

    <div class="col-lg-5">
      <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
        <input type="hidden" name="alterar" value="dados" />
        <section class="panel">
          <div class="table-responsive">
            <table class="table table-striped b-t text-small">
              <header class="panel-heading">

                <div class="pull-left" style="padding-top: 5px"><?php _t("Alterar senha de acesso")?></div>
                <button type="submit" class="btn btn-info btn-xs pull-right" data-loading-text="Salvando.."><?php _t("Salvar")?></button>
              </header>
              <thead>
              <tr>
                <th width="200"><?php _t("Descrição")?></th>
                <th class="text-center" width="600"></th>
              </tr>
              </thead>
              <tbody>
              <tr>
                <td class="text-info"><div style="padding-top: 5px"><?php _t("Nome")?></div></td>
                <td class="text-info text-center">
                  <input type="text" class="form-control" name="nome" data-required="true" value="<?php echo $resul_usuario['nome']?>">
                </td>
              </tr>
              <tr>
                <td class="text-info"><div style="padding-top: 5px"><?php _t("Login")?></div></td>
                <td class="text-info text-center">
                  <input type="text" class="form-control" name="login" data-required="true" value="<?php echo $resul_usuario['login']?>">
                </td>
              </tr>
              <tr>
                <td class="text-info"><div style="padding-top: 5px"><?php _t("Senha")?></div></td>
                <td class="text-info text-center">
                  <input type="password" class="form-control" name="senha" data-required="true">
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </section>
      </form>
    </div>

    <div class="col-lg-5">
      <a data-toggle="modal" href="#modal_excluir_cadastro" data-backdrop="static" type="submit" class="btn btn-danger pull-right"><?php _t("Excluir Usuário")?></a>
    </div>

  </div>
</div>
<!-- FIM DA ABA -->

<?php if($resul_usuario['nivel']>1){?>
<!-- ABA: PERMISSÕES -->
<div class="tab-pane <?php if($aba_tab == 'permissoes'){echo 'active';}?>" id="permissoes">
  <div class="row">

    <div class="col-lg-7">

      <section class="panel">
        <header class="panel-heading">
          <div class="pull-left"><strong><?php _t("TODAS AS PERMISSÕES")?></strong></div>
          <div class="pull-right">
            <div class="btn-group">
              <button type="button" class="btn btn-white btn-xs bt_ctrl jsinbloq" onclick="marcarTodos('0', '<?php echo $id_usuario?>')"><?php _t("Bloquear")?></button>
              <button type="button" class="btn btn-white btn-xs bt_ctrl jsinbloq" onclick="marcarTodos('1', '<?php echo $id_usuario?>')"><?php _t("Liberar")?></button>
            </div>
          </div>
        </header>
      </section>

      <?php foreach($permissoes as $l){ ?>
      <section class="panel">
        <header class="panel-heading bg-inverse">
          <div class="pull-left"><strong><?php echo $l['titulo']?></strong></div>
        </header>
        <div class="table-responsive">
          <table class="table table-striped m-b-none text-small">
            <thead>
            <tr>
              <th><?php _t("Permissão")?></th>
              <th class="text-center" width="160" style="padding: 5px"><?php _t("Acesso")?></th>
            </tr>
            </thead>
            <tbody>
              <?php foreach($l['permissoes'] as $lsec){
                if(isset($lsec['checked'])){
                  $of = $lsec['checked'] == 0 ? "active" : "";
                  $on = $lsec['checked'] == 1 ? "active" : "";
                  $exibir_controle = 1;
                }else{
                  $exibir_controle = 0;
                }
              ?>
              <tr>
                <td><?php echo $lsec['titulo']?></td>
                <td class="text-center" style="padding: 0">
                  <?php if($exibir_controle==1){ ?>
                  <div class="btn-group cxbloq_remove" data-toggle="buttons">
                    <label class="btn btn-sm btn-onoff off <?php echo $of?>">
                      <input type="radio" value="0" onchange="permissao_usuario(0, '<?php echo $id_usuario?>', '<?php echo $lsec['permissao']?>')"><?php _t("Bloqueado")?>
                    </label>
                    <label class="btn btn-sm btn-onoff on <?php echo $on?>">
                      <input type="radio" value="1" onchange="permissao_usuario(1, '<?php echo $id_usuario?>', '<?php echo $lsec['permissao']?>')"><?php _t("Liberado")?>
                    </label>
                  </div>
                  <?php } ?>
                </td>
              </tr>
              <?php } ?>
            </tbody>
          </table>
        </div>
      </section>
    <?php } ?>
    </div>

  </div>
</div>
<!-- FIM DA ABA -->
<?php } ?>


<!-- ABA: DADOS GERAIS -->
<div class="tab-pane <?php if($aba_tab == 'acessos'){echo 'active';}?>" id="acessos">
  <div class="row">

    <div class="col-lg-4">
      <section class="panel" style="margin-bottom: 200px;">
        <header class="panel-heading">
          <?php _t("Últimos 200 acessos do usuário ao sistema")?>
        </header>
        <div class="table-responsive">
          <table class="table table-striped b-t text-small" id="lista_jogadores">
            <thead>
            <tr>
              <th width="150"><?php _t("Data / Hora")?></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($resul_acessos as $l) {  ?>
              <tr>
                <td><?php echo $l['acesso']?></td>
              </tr>
            <?php } ?>
            </tbody>
          </table>
        </div>
      </section>
    </div>

  </div>
</div>
<!-- FIM DA ABA -->


</div>
</div>

</section>
</section>
<!-- /.main -->
</section>

<!-- FOOTER -->
<?php include('footer.php');?>

<!-- Modal Excluir Cadastro -->
<div id="modal_excluir_cadastro" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="excluir" value="cadastro" />
    <input type="hidden" class="id" name="id" value=""/>
    <div class="modal-dialog modal-sm" style="width: 450px;">
      <div class="modal-content">
        <div class="modal-header bg-danger">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel"><?php _t("Excluir Registro")?></h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              <?php _t("Essa ação não poderá ser desfeita.")?>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal"><?php _t("Cancelar")?></button>
          <button type="submit" class="btn btn-sm btn-danger pull-left" data-loading-text="<?php _t("Excluindo")?>"><?php _t("Excluir")?></button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- app -->
<script src="js/app.js"></script>
<script src="js/app.plugin.js"></script>
<script src="js/app.data.js"></script>
<!-- Sparkline Chart -->
<script src="js/charts/sparkline/jquery.sparkline.min.js"></script>
<!-- Easy Pie Chart -->
<script src="js/charts/easypiechart/jquery.easy-pie-chart.js"></script>
<!-- select2 -->
<script src="js/select2/select2.min.js"></script>
<!-- fuelux -->
<script src="js/fuelux/fuelux.js"></script>
<!-- datepicker -->
<script src="js/datepicker/bootstrap-datepicker.js"></script>
<!-- slider -->
<script src="js/slider/bootstrap-slider.js"></script>
<!-- file input -->
<script src="js/file-input/bootstrap.file-input.js"></script>
<!-- combodate -->
<script src="js/combodate/moment.min.js"></script>
<script src="js/combodate/combodate.js"></script>
<!-- parsley -->
<script src="js/parsley/parsley.min.js"></script>
<!-- Flot -->
<script src="js/charts/flot/jquery.flot.min.js"></script>
<script src="js/charts/flot/jquery.flot.tooltip.min.js"></script>
<script src="js/charts/flot/jquery.flot.resize.js"></script>
<script src="js/charts/flot/jquery.flot.orderBars.js"></script>
<script src="js/charts/flot/jquery.flot.pie.min.js"></script>

<script src="js/app/ranking.js?d=<?php echo VS_ARQS?>"></script>

</body>
</html>
<?php $bd = null; $bd_fn = null;?>